# AdvantEdgeSandboxControllerRestApi.EventScenarioUpdate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action** | **String** | Action to perform on provided scenario node | [optional] 
**node** | [**ScenarioNode**](ScenarioNode.md) |  | [optional] 
**gracePeriod** | **Number** | Grace period in seconds before forcefully removing node | [optional] 


<a name="ActionEnum"></a>
## Enum: ActionEnum


* `ADD` (value: `"ADD"`)

* `REMOVE` (value: `"REMOVE"`)

* `MODIFY` (value: `"MODIFY"`)




